petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCMGSetNumberSmoothDown

Sets the number of pre-smoothing steps to use on all levels. Use PCMGGetSmootherDown() to set different pre-smoothing steps on different levels.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCMGSetNumberSmoothDown(PC pc,PetscInt n)

Logically Collective on PC Many br

### Input Parameters

| mg | - the multigrid context Many br
| n | - the number of smoothing steps Many br

### Options Database Key

-pc_mg_smoothdown <n> -Sets number of pre-smoothing steps Many br

Many br

### Keywords

MG, smooth, down, pre-smoothing, steps, multigrid

### See Also

PCMGSetNumberSmoothUp()

Level:advanced
Location:src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages